Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemDelegate.EndEditHint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemDelegate.EndEditHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemDelegate

    public static final class QAbstractItemDelegate.EndEditHint

extends java.lang.Enum
implements QtEnumerator

This enum describes the different hints that the delegate can give to the model and view components to make editing data in a model a comfortable experience for the user. These hints let the delegate influence the behavior of the view: Note that custom views may interpret the concepts of next and previous differently.

The following hints are most useful when models are used that cache data, such as those that manipulate data locally in order to increase performance or conserve network bandwidth. Although models and views should respond to these hints in appropriate ways, custom components may ignore any or all of them if they are not relevant.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemDelegate.EndEditHint` | `EditNextItem` The view should use the delegate to open an editor on the next item in the view.
`static QAbstractItemDelegate.EndEditHint` | `EditPreviousItem` The view should use the delegate to open an editor on the previous item in the view.
`static QAbstractItemDelegate.EndEditHint` | `NoHint` There is no recommended action to be performed.
`static QAbstractItemDelegate.EndEditHint` | `RevertModelCache` If the model caches data, it should discard cached data and replace it with data from the underlying data store.
`static QAbstractItemDelegate.EndEditHint` | `SubmitModelCache` If the model caches data, it should write out cached data to the underlying data store.

Method Summary
`static QAbstractItemDelegate.EndEditHint` | `resolve(int value)` Returns the EndEditHint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemDelegate.EndEditHint` | `valueOf(java.lang.String name)`
`static QAbstractItemDelegate.EndEditHint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoHint

    public static final QAbstractItemDelegate.EndEditHint NoHint

  There is no recommended action to be performed.

### EditNextItem

    public static final QAbstractItemDelegate.EndEditHint EditNextItem

  The view should use the delegate to open an editor on the next item in the view.

### EditPreviousItem

    public static final QAbstractItemDelegate.EndEditHint EditPreviousItem

  The view should use the delegate to open an editor on the previous item in the view.

### SubmitModelCache

    public static final QAbstractItemDelegate.EndEditHint SubmitModelCache

  If the model caches data, it should write out cached data to the underlying data store.

### RevertModelCache

    public static final QAbstractItemDelegate.EndEditHint RevertModelCache

  If the model caches data, it should discard cached data and replace it with data from the underlying data store.

Method Detail

### values

    public static QAbstractItemDelegate.EndEditHint[] values()

### valueOf

    public static QAbstractItemDelegate.EndEditHint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemDelegate.EndEditHint resolve(int value)

  Returns the EndEditHint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD